/*
 * TclModule.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Threading;
using Eagle._Attributes;

namespace Eagle._Components.Private.Tcl
{
    [ObjectId("1c2bc9c1-93da-4106-8fd2-34a36323da28")]
    internal sealed class TclModule
    {
        #region Public Constructors
        public TclModule()
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////

        public TclModule(
            string fileName,
            IntPtr module,
            int referenceCount
            )
            : this()
        {
            this.fileName = fileName;
            this.module = module;
            this.referenceCount = referenceCount;
        }
        #endregion

        ///////////////////////////////////////////////////////////////////////

        #region Public Properties
        private string fileName;
        public string FileName
        {
            get { return fileName; }
        }

        ///////////////////////////////////////////////////////////////////////

        private IntPtr module;
        public IntPtr Module
        {
            get { return module; }
        }

        ///////////////////////////////////////////////////////////////////////

        private int referenceCount;
        public int ReferenceCount
        {
            get { return referenceCount; }
        }
        #endregion

        ///////////////////////////////////////////////////////////////////////

        #region Public Methods
        public int AddReference()
        {
            return Interlocked.Increment(ref referenceCount);
        }

        ///////////////////////////////////////////////////////////////////////

        public int ReleaseReference()
        {
            return Interlocked.Decrement(ref referenceCount);
        }
        #endregion
    }
}
